summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-07-20 07:46:16 +0200
committerMichał Górny <mgorny@gentoo.org>2021-07-20 11:08:32 +0200
commit9954caacf5e7c14693d8dca029a9909da5857d06 (patch)
treef53742128c7a45d31f2beb046204eff12fb26ea8
parentdev-python/astroid: Bump to 2.6.4 (diff)
downloadgentoo-9954caacf5e7c14693d8dca029a9909da5857d06.tar.gz
gentoo-9954caacf5e7c14693d8dca029a9909da5857d06.tar.bz2
gentoo-9954caacf5e7c14693d8dca029a9909da5857d06.zip
dev-python/botocore: Bump to 1.21.2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.21.2.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index b238315b7dcc..c74bd895d92e 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.20.104.tar.gz 7883624 BLAKE2B 4fb4c6abff5a2c3d3e19b11576e723f15a
DIST botocore-1.20.112.tar.gz 7917776 BLAKE2B 6a5ebf3d32c505ec2c1fc4cd3d97aa94c76b6206dda6ba28a946dfdc9973073019389c05d1cf09a0eced701fe86a9b8a292835415c0b1ceea75959a3186f65c6 SHA512 4b36367ffdd011aeb7654fd5c52c38e95bae4c55e5af85e38b0764140539ad1f8b9d75b0c7fd1009fda8d005ef4b17673b06f85a76b52fcebf05925297b6bbbf
DIST botocore-1.21.0.tar.gz 7955550 BLAKE2B 7e68375d07d858dc2071538c2382d8693df23fea5326938491c492abe55c060d0cdf98698cef9b06dac996a59c907ed780e5baadabbb7c10d5e41efa84c4750c SHA512 e56eea7f3c4f39f51ef1d53dfb42fd5d601167cca7c868b1cf2f291732a8cf90aaa874760f262085439df5726c6b610369a325e863533b593aa708fd901398a1
DIST botocore-1.21.1.tar.gz 7954248 BLAKE2B d6e7a71d6dd90ed0fcf0dbab3182dcdfa4072e65a1f344d44ac30abc829ac6c546a0ebcdee51f61ae65008550acf65052b49530ae3b3a62d81af222e6e8a0929 SHA512 86d4b4159a96426e7ab853b06564604fd9729011199ba691f6204a7e5f52d9927b93511b73cfc03b65bce706563c6d50b577d85d0de0e50fb5d877472d8326dc
+DIST botocore-1.21.2.tar.gz 7960118 BLAKE2B 11d2845e1846c03591625a95b21ff6fe1acb1448414a5f09de1d427614e927d974fafe5dd5d4f195aeb2f3b86d60822a8c73f1bc532bb45c85be8421f92eedc3 SHA512 501f059518026bef10fe933d20a3348b4140cff9ef1af38e17552aea8698179135f5271604e988f53c215e3a13158d7784a49a6b56c0d4db591f99dac9c57ca8
diff --git a/dev-python/botocore/botocore-1.21.2.ebuild b/dev-python/botocore/botocore-1.21.2.ebuild
new file mode 100644
index 000000000000..30e0988848ad
--- /dev/null
+++ b/dev-python/botocore/botocore-1.21.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}